View Issue Details

IDProjectCategoryView StatusLast Update
0000155BirdFont[All Projects] BirdFontpublic2018-08-07 00:26
Reporterpauldiaz24Assigned Tojohan 
PriorityhighSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
PlatformMicrosoft WindowsOSWindows 7 UltimateOS Version6.1
Product Version 
Target VersionFixed in Version 
Summary0000155: Birdfont Crashes During Font Export
DescriptionI have a font that I am unable to export because Birdfont always crashes when I try exporting it.
I can see the progress wheel in the top right corner spinning for a long period of time but the program always crashes eventually.
A .tff file is created after the crash but it's file size is 0kb.
I have successfully exported other fronts using Birdfont in the past.
The only difference with the font I'm currently trying to export is that it's significantly larger, around 55mb.
It includes several East Asian characters.
Is there anyway to successfully export this type of font?
Steps To Reproduce1. Open large .bf file
2. Select Import and Export
3. Select Export Fonts
Additional InformationProblem signature:
  Problem Event Name: APPCRASH
  Application Name: birdfont.exe
  Application Version: 0.0.0.0
  Application Timestamp: 5a4486ad
  Fault Module Name: libbirdfont.dll
  Fault Module Version: 0.0.0.0
  Fault Module Timestamp: 5aaabcdf
  Exception Code: c0000005
  Exception Offset: 00083984
  OS Version: 6.1.7601.2.1.0.256.1
  Locale ID: 1033
  Additional Information 1: 0a9e
  Additional Information 2: 0a9e372d3b4ad19135b953a78882e789
  Additional Information 3: 0a9e
  Additional Information 4: 0a9e372d3b4ad19135b953a78882e789
TagsNo tags attached.

Activities

johan

2018-07-30 17:51

administrator   ~0000539

Last edited: 2018-07-30 18:37

View 2 revisions

Thank you for the report. Can you send a link to the font you are trying to export? I would also like to know which version of BirdFont you are running.

johan

2018-07-30 20:09

administrator   ~0000540

Last edited: 2018-07-30 20:29

View 2 revisions

I tried to reproduce this with Noto Traditional Chinese and BirdFont 3.8.3. It took a while to export the font but the TTF files seems to work all right and the editor did not crash. The font has around 44 000 characters. I would like to know which font you are trying to export.

pauldiaz24

2018-07-30 22:25

reporter   ~0000541

Thank you for the quick response.
I am using BirdFont 3.6.4.
This is the font I'm exporting: https://raw.githubusercontent.com/SolidZORO/zpix-pixel-font/master/dist/Zpix.ttf

pauldiaz24

2018-07-31 03:10

reporter   ~0000542

Just wanted to mention that I've tried exporting with Birdfont 3.8.4 but had similar results. The program crashed after I tried exporting the font.

johan

2018-07-31 03:14

administrator   ~0000543

Thank you for testing with the new version.

johan

2018-07-31 22:04

administrator   ~0000544

Last edited: 2018-07-31 22:19

View 2 revisions

I exported your font on Mac OS and it did work. This issue is only present on Windows.

johan

2018-08-01 20:38

administrator   ~0000545

How much RAM do you have?

pauldiaz24

2018-08-01 21:27

reporter   ~0000546

I currently have 8GB of RAM.

pauldiaz24

2018-08-01 23:59

reporter   ~0000547

I was able to run BirdFont on an OSX virtual machine and successfully exported the font on there, so the problem seem to only exist on the Windows version.

johan

2018-08-05 15:14

administrator   ~0000548

A fix should be available in the next version of BirdFont. Here is the file:
https://birdfont.org/download/birdfont-3.8.12-free.exe

I have no been able to test this build thoroughly and I would appreciate if someone could tell me if it works or not.

Cheers
Johan

johan

2018-08-07 00:26

administrator   ~0000549

This issue has been fixed in Birdfont 3.9.0.

Issue History

Date Modified Username Field Change
2018-07-30 17:46 pauldiaz24 New Issue
2018-07-30 17:51 johan Note Added: 0000539
2018-07-30 18:37 johan Note Edited: 0000539 View Revisions
2018-07-30 20:09 johan Note Added: 0000540
2018-07-30 20:29 johan Note Edited: 0000540 View Revisions
2018-07-30 22:25 pauldiaz24 Note Added: 0000541
2018-07-31 03:10 pauldiaz24 Note Added: 0000542
2018-07-31 03:14 johan Note Added: 0000543
2018-07-31 22:04 johan Note Added: 0000544
2018-07-31 22:19 johan Note Edited: 0000544 View Revisions
2018-08-01 20:38 johan Note Added: 0000545
2018-08-01 21:27 pauldiaz24 Note Added: 0000546
2018-08-01 23:59 pauldiaz24 Note Added: 0000547
2018-08-05 15:14 johan Note Added: 0000548
2018-08-07 00:26 johan Assigned To => johan
2018-08-07 00:26 johan Status new => resolved
2018-08-07 00:26 johan Resolution open => fixed
2018-08-07 00:26 johan Note Added: 0000549